﻿/*--------------header-style1-----------------*/
.header-style1{
    position: fixed;
    z-index: 999;
    display: block;
    width: 100%;
    top: 0;
    background-color: #c41b1b;
}
.header-style1 .header-box{
    width: 100%;
    max-width: 100%;
    display: block;
    padding: 0 40px;
    box-sizing: border-box;
}
.header-style1 .header-logo{
    display: block;
    float: left;
    position: relative;
    padding: 10px 0;
    z-index: 3;
}
.header-style1 .header-logo a{
    font-size: 30px;
    letter-spacing: 2px;
    color: #FFF;
    font-family: 'cwTeXYen';
    position: relative;
}
.header-style1 .header-menu-box{
    display: block;
    float: right;
    font-size: 0;
    position: relative;
}
.header-style1 .header-menu> li{
    display: inline-block;
    vertical-align: middle;
    position: relative;
    padding-right: 30px;
}
.header-style1 .header-menu> li:last-child{
    padding-right: 0;
}
.header-menu{
    padding-top: 30px;
}
.header-menu-title{
    font-size: 16px;
    color: #FFF;
    transition: all .5s ease;
    letter-spacing: 2px;
}
.header-link-box{
    display: block;
    position: absolute;
    right: 0;
    top: 0;
}
.header-bg1{
    width: 100%;
    height: 27px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: bottom;
    background-image: url(../img/header-top-bg.png);
}
.header-logo img{
    position: absolute;
    right: -35px;
    bottom: -30px;
    transition: all .5s ease;
}
.header-font-size-box{
    position: absolute;
    right: 0;
    top: 5px;
    font-size: 12px;   
}
.header-font-size-box div{
    margin-right: 5px;
    letter-spacing: 2px;
}
.header-font-size-box div{
    position: relative;
}
.header-font-size-box div:last-child{
    margin-right: 0;
}
.header-font-size-box div:after{
    content: 'none';
    font-size: 0;
    display: none;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background-color: #FFF;
}
.header-font-size-box div.active:after{
    display: block;
}
.header-font-title,
.header-font-big,
.header-font-medium,
.header-font-small{
    display: inline-block;
    color: #FFF;
}
.header-font-big,
.header-font-medium,
.header-font-small{
    cursor: pointer;
}
.header-bg2{
    width: 100%;
    height: 10px;
    display: block;
    background-color: #f91111;
    box-shadow: rgba(0,0,0,0.7) 0px -2px 5px;
    transition: all .5s ease;
    position: relative;
    z-index: 2;
}

.header-font-list{
    display: inline-block;
}
/* -------------------------------------------------------------- */

.header-menu-list-box li{
    margin-bottom: 30px
}


div.header-menu-title{
    cursor: context-menu;
}


.rwd-menu-list-back{
    display: none;
}
.mask{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.7);
}

.mask.active{
    display: block;
}

/*----------------------------------*/
.rwd-menu{
    width: 59px;
    position: absolute;
    right: 3%;
    top: 45px;
    z-index: 99999;
    display: none;
}
.rwd-menu span{
    width: 40px;
    display: block;
    margin: 0 auto;
    height: 4px;
    background-color: #000;
    position: relative;
}
#index .rwd-menu span{
    background-color: #FFF;
}
.rwd-menu span:nth-child(even){
    margin: 8px auto;
    transition: all .4s linear;
}
.rwd-menu span:nth-child(1){
    transform: scale(1);
    transform-origin: left;
    transition: all .4s linear;
}
.rwd-menu span:nth-child(3){
    transform: scale(1);
    transform-origin: right;
    transition: all .4s linear;
}
.rwd-menu span:nth-child(4){
    top: -19px;
    transform:  scale(0) rotate(-45deg);
}

.rwd-menu.active span:nth-child(odd){
    transform: scale(0);
    transition: all .4s linear;
    transition-delay: 0;
}

.rwd-menu.active span:nth-child(2){
    transform: rotate(45deg);
    transition: all .4s linear;
}
.rwd-menu.active span:nth-child(4){
    transform: scaleX(1) rotate(-45deg);
    transition-delay: 0.3s;
}
.rwd-menu.active span{
    background-color: #FFF;
}



@media only screen and (max-width: 1200px){
    .header-style1 .header-box{
        width: 95%;
        margin: 0 auto;
    
    }
    .header-style2 .header-menu ul{
        width: 100%;
    }
}

@media only screen and (max-width: 1000px){
    .header-style1 .rwd-menu{
        display: block;
    }
    .header-style1 .header-box{
        width: 100%;
    }
    .header-style1 .header-logo{
        z-index: 10;
    }
    .header-style1 .rwd-menu span{
        background-color: #FFF;
    }
    .header-style1 .rwd-menu{
        top: 35px;
        transition: all .3s ease;
    }
    .header-style1.header2 .rwd-menu{
        top: 15px;
    }
    .header-style1 .header-menu{
        width: 100%;
        float: none;
        position: relative;
        background-color: #c41b1b;
        z-index: 9;
        padding-bottom: 0;
    }
    .header-style1  .header-menu li{
        width: 100%;
        display: block;
    }
    .header-style1 .header-menu-box{
        float: none;
        width: 100%;
        z-index: 9;
        display: none;
    }
    .header-font-size-box{
        position: static;
    }
    .header-style1 .header-logo{
        float: none;
        padding-left: 20px;
        box-sizing: border-box;
    }
    .header-style1 .header-menu> li{
        padding: 0;
        text-align: center;
    }

    .header-style1  .header-style1 .header-menu.open{
        left: 0;
    }
  
    .header-style1  .header-menu-list-box{
        transform: scale(1, 1);
        width: 300px;
        left: -300px;
        transition: all .3s linear;
        position: fixed;
        top: 0;
        height: 100vh;
        background-color: #000;
        z-index: 9;
    }
    .header-style1  .header-menu-list-box.open{
        left: 0;
    }
    .header-style1  .header-menu-list-box li{
        background-color: transparent;
    }
    .header-style1  .rwd-menu-list-back{
        display: block;
        color: #FFF;
        text-align: right;
        padding: 20px 0;
        border-bottom: 1px solid #EEE;
        width: 100%;
        box-sizing: border-box;
        padding-right: 20px;
    }
    .header-style1  .header-menu li{
        width: 100%;
        padding: 0;
    }
    .header-style1 .header-menu-list{
        padding: 10px 0;
        padding-left: 10px;
        box-sizing: border-box;
        border-bottom: 1px solid #FFF;
    }

}